подскажите как быть с Ethernet Shield

Тема в разделе "Arduino & Shields", создана пользователем Бачар Константин, 5 май 2019.

  1. Здравствуйте все!
    Столкнулся с такой проблемой есть у меня два шилда на чипе
    Wiznet W5200
    покупал уже давненько не могу скомпилировать скетч ... для чего на втором компе своем поставил arduino ide версии 1.0.5r2
    почемуто не могу на этой верии ide подключить библиотеку PubSubClient-2.7.0 при добавлении библиотеки ругается на название библиотеки ... его поправил но библиотека уже по другой проблеме ...
    вобщем если в таком варианте ктото уже разбирался пожалуйста подкажите не хотелось бы шилды выкидывать
     
    Последнее редактирование: 5 май 2019
  2. BAR__MEN

    BAR__MEN Розбійник Администратор

    Код и ошибку в студию!

    ПыСы: поправьте размер шрифта...
     
  3. Более старой-то не нашлось?
     
  4. при компиляции пишет "что тип PubSubClient не известен" тоесть IDE не видит библиотеку это если эту библиотеку ручками скопировать в папку library
     
  5. я находил в инете с такойже проблеммой там написано было что надо не позднее 1.0.6 но такой на официальном сайте нету только 1.0.5
     
  6. Вы нашли людей с проблемой, что у них не работает 1.0.5, и они пишут, что нужно 1.0.5? Что? Может вы все-таки внятно напишете, что у вас происходит?
     
  7. Asper Daffy

    Asper Daffy Гуру

    Зачем? Так не прикольно будет.
     
    BAR__MEN и parovoZZ нравится это.
  8. То что я находил в инете там написано что нужна версия гденить 1.0.6 а я нашел только 1.0.5.
    В 1.0.5 версии библиотека PubSubClient не добавляется ошибка_добавления_PubSubClient.jpg ошибка_компиляции_relay_node.jpg
     
  9. parovoZZ

    parovoZZ Гуру

    Подправь ручками.
     
  10. еслиб я понимал в чем именно затык яб поправил давно уже .... я давно уже пол года наверное както умудрился собрать скетч а сейчас уже не помню всех деталей
     
  11. в скринах которые я выложил полный текст ошибок ... вторая получается если библиотеку добавить в ручную
     
  12. parovoZZ

    parovoZZ Гуру

    Я вот ничего не понимаю в медецине и в биологии, так я туда и не лезу. Смысл мне тусить на форумах, если я даже в предмете не отдупляю?? Поэтому учебник, далее разбор библиотеки. Ну или ручками самому написать. Та же lwip очень даже рабочая и написана далеко не любителями.
     
  13. просто вся заморочка с этими шилдами что под них есть библиотка EthernetV1_0 но она собирается только в старой версии IDE
     
  14. так вот эта библиотека у меня подключилась но PubSubClient не могу подключить может ее тоже надо старую версию просто изначально IDE ругнулась что в имени библиотеки есть служебные символы ... когда я имя бибилиотеки поправил то она вроди как добавляется в IDE но при компиляции ошибку пишет что незнает такого класса
     
  15. b707

    b707 Гуру

    какую-то вы ерунду пишете. Что, под новыми версиями Ардуино ИДЕ шилды W5500 не работают? - быть такого не может! Скачивайте последнюю версию библиотеки в свежую ИДЕ и пользуйтесь.

    И никогда не мог понять, как может библиотека "не ставится"??? - Руками скопируйте ее в папку libraries! РУКАМИ!

    ЗЫ Не надо выкладывать ошибки в виде скринов - это вопиющее неуважение к читателям. Скопируйте их просто в виде текста.
     
    Последнее редактирование: 5 май 2019
  16. Пардонте но у меня w5200 версия чипа на шилде ... поэтому приходится использовать старую версию библиотеки и она не компилируется на новой версии IDE ... подчеркиваю что версия чипа W5200 ... еслиб была версия W5500 то с ней проблем нету
     
  17. b707

    b707 Гуру

    В гугле не пробовали искать? :)
    Обновленная библиотека для ИДЕ 1.8.5
    Из описания:
    A modified version of the Ethernet library from Arduino 1.8.5 that supports both the WIZnet W5100 and W5200 chips.


    https://github.com/JChristensen/Ethernet
     
  18. всем спасибо за обсуждение удалось всетаки скомпилить под новой IDE подключил в скетче встроенную библиотеку Ethernet и скетч собрался на работоспособность пока не проверял ... для этого аппаратно еще не все готово надо MQTT сервер еще поднять
     
  19. b707

    b707 Гуру

    какие все беспомощные... пока не пнешь - даже встроенную либу не могут подключить :(
     
    BAR__MEN нравится это.
  20. Просто когда я год или пол года назад пытался собрать то поиск в яндексе меня натолкнул на то решение со старой либой версии V1_0 поэтому не пробовал встроенную либу использовать